Summary: X MultiMedia System output plugin for the aRts sound system
Name: xmms-arts
Version: 0.7.1
Release: 0.%{mysig}
License: GPL
Group: Applications/Multimedia
URL: http://www.xmms.org/
Source: http://havardk.xmms.org/plugins/arts_output/arts_output-%{version}.tar.gz
Patch: arts_output-0.6.0-buffer.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: xmms-devel, arts-devel > 1.2.0-1.5
Conflicts: arts < 1.2.0-1.5
Conflicts: xmms < 1:1.2.10-15

%description
X MultiMedia System output plugin to use aRts (analog real-time synthesizer),
the KDE sound system.


%prep
%setup -n arts_output-%{version}
# Bump up the default buffer size to avoid audio artifacts
%patch -p1 -b .buffer


%build
%configure


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README 
%{_bindir}/xmms-arts-helper
%{_libdir}/xmms/Output/


%changelog
* Wed Sep 21 2005 Milan Kerslager <kerslage@linux.cz> 0.7.1-0.ker.rhel4
- rebuild for RHEL4 (package from FC4 Extras)

* Thu Apr 14 2005 Matthias Saou <http://freshrpms.net/> 0.7.1-1
- Split off xmms-arts from the main xmms package.

